phyml (3:3.3.20250515-2) unstable; urgency=medium

  [ Andreas Tille ]
  * d/copyright: Remove old FSF address
  * No build on i386 in Salsa CI

  [ Étienne Mollier ]
  * filter-sse3-intrinsics.patch: fix build failure on arm64.
  * d/control: restore buildability on 32-bit.
    The architecture-is-64bit is going to require coordination with all
    reverse dependencies.  For now let's restore 32-bit at these platforms
    look in working conditions.
  * d/control: move arm64 to mpich back-end.
    The openmpi back-end currently raises prte errors on autopkgtest.
    mpich is working fine for now.  This is probably symptomatic of an
    issue somewhere, but let's try first focus on getting phyml and
    reverse dependencies to migrate to testing again.
  * d/control: drop redundant Priority: optional.
  * d/control: drop redundant Rules-Requires-Root: no.
  * d/control: declare compliance to standards version 4.7.3.

  [ Helmut Grohne ]
  * cross.patch: new: Use MPI_C to enable cross building.
    This patch was initially proposed to resolve #1106652.

 -- Étienne Mollier <emollier@debian.org>  Sun, 01 Feb 2026 16:33:19 +0100

phyml (3:3.3.20250515-1) unstable; urgency=medium

  * Restrict to 64 bit architectures only by Build-Depending
    architecture-is-64-bit
    Closes: #1106652
  * d/watch: version=5
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * Work around broken clean target

 -- Andreas Tille <tille@debian.org>  Sat, 06 Dec 2025 23:08:00 +0100

phyml (3:3.3.20220408-4) unstable; urgency=medium

  * d/p/series: disable cross.patch.
    The cross compilation procedure relies on mpi-c.pc to operate
    properly, but mpich misses it for the moment.
  * d/control: migrate to mpi-default-*. (Closes: #1086912)
  * d/control: declare compliance to standards version 4.7.0.
  * d/control: migrate to pkgconf.
  * d/patches/*: normalise header, notably Last-Update format.

 -- Étienne Mollier <emollier@debian.org>  Sat, 09 Nov 2024 19:50:59 +0100

phyml (3:3.3.20220408-3) unstable; urgency=medium

  * d/watch: move to git tag scanning; fixes uscan following github changes.

 -- Étienne Mollier <emollier@debian.org>  Wed, 26 Oct 2022 19:56:40 +0200

phyml (3:3.3.20220408-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.6.1 (no changes needed)
  * Do not run autopkgtests on armel (Closes: #1016941)

 -- Nilesh Patra <nilesh@debian.org>  Sat, 13 Aug 2022 01:19:11 +0530

phyml (3:3.3.20220408-1) unstable; urgency=medium

  * New upstream version
  * Refresh no-configure-ac-date.patch.
  * Refresh fix_declaration_of_temp.patch.
  * Refresh filter-sse3-intrinsics.patch.
  * Refresh typos.patch.

 -- Étienne Mollier <emollier@debian.org>  Sun, 08 May 2022 16:41:07 +0200

phyml (3:3.3.20211231-1) unstable; urgency=medium

  * New upstream version
  * Delete nodup-am-init-automake.patch: applied upstream.
  * Delete no-stdc++.patch: patched code section disappeared.
  * typos.patch: fix new typo.
  * Refresh most other patches.
  * d/copyright:
      - mention doc/naturemag.bst, under LaTeX Project Public License 1 or
        more.
      - update copyright year

 -- Étienne Mollier <emollier@debian.org>  Fri, 11 Feb 2022 17:08:37 +0100

phyml (3:3.3.20211021-1) unstable; urgency=medium

  * New upstream version.
  * Refresh most patches.
  * Add apply-cflags.patch: ensure standard Debian CFLAGS are propagated
    throughout the build process.
  * Add filter-sse3-intrinsics.patch: fixes FTBFS when built with -msse but
    without -msse3, as the codebase also now includes SSE3 instructions;
    however this means that SSE acceleration is thus now disabled on amd64.
  * Add apply-ldflags.patch: ensure standard Debian LDFLAGS are propagated
    throughout the build process for proper hardening.
  * d/rules: autoconfigure with --enable-phyml-mpi, replacing --enable-mpi.
  * d/rules: fix permissions of example files nucleic and proteic.
  * d/{links,phyml.1}: also provide phyml-mpi manual page.
  * d/control: add myself to Uploaders.
  * d/copyright: bump project to GPL-3 and document the file src/mxml.h
  * d/copyright: update copyright entry of package maintenance

 -- Étienne Mollier <emollier@debian.org>  Fri, 19 Nov 2021 00:22:37 +0100

phyml (3:3.3.20200621-3) unstable; urgency=medium

  * Team upload.
  * Add nodup-am-init-automake.patch (Closes: #998477)

 -- Étienne Mollier <emollier@debian.org>  Thu, 04 Nov 2021 23:15:13 +0100

phyml (3:3.3.20200621-2) unstable; urgency=medium

  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 06 Oct 2021 17:30:05 +0200

phyml (3:3.3.20200621-1) unstable; urgency=medium

  * Team upload
  * New upstream version 3.3.20200621 (Closes: #957679)
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Shayan Doust <hello@shayandoust.me>  Wed, 22 Jul 2020 16:25:36 +0000

phyml (3:3.3.20190909-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.4.1
  * Reported autogenerated files in archive to upstream
    (https://github.com/stephaneguindon/phyml/issues/113)

 -- Steffen Moeller <moeller@debian.org>  Wed, 06 Nov 2019 21:46:04 +0100

phyml (3:3.3.20190321-2) unstable; urgency=medium

  * Fix autopkgtest
    Closes: #935598
  * Secure URI in copyright format
  * Remove trailing whitespace in debian/changelog
  * Remove obsolete fields Name, Contact from debian/upstream/metadata.

 -- Andreas Tille <tille@debian.org>  Sat, 24 Aug 2019 16:08:44 +0200

phyml (3:3.3.20190321-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Do not run dh_dwz

 -- Andreas Tille <tille@debian.org>  Thu, 01 Aug 2019 22:05:12 +0200

phyml (3:3.3.20180621-2) unstable; urgency=medium

  * Team upload

  [ Andreas Tille ]
  * Install test script to user documentation

  [ Graham Inggs ]
  * Allow MPI oversubscription in autopkgtests

 -- Graham Inggs <ginggs@debian.org>  Wed, 27 Jun 2018 16:24:13 +0000

phyml (3:3.3.20180621-1) unstable; urgency=medium

  * New upstream version
  * d/copyright: Do not exclude non-included files any more
  * Use MPI_C to enable cross building (thanks for the patch to Helmut Grohne)
    Closes: #902433

 -- Andreas Tille <tille@debian.org>  Tue, 26 Jun 2018 18:11:00 +0200

phyml (3:3.3.20180214+dfsg-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * debian/upstream/metadata: Added refs to registries

  [ Andreas Tille ]
  * New upstream version
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4
  * debhelper 11
  * Fix file permissions of example files

 -- Andreas Tille <tille@debian.org>  Fri, 27 Apr 2018 08:09:18 +0200

phyml (3:3.3.20170530+dfsg-2) unstable; urgency=medium

  * Team upload
  * Do not emit -march=native (Closes: #866139)
  * Drop autopkgtest dependency on pocl-opencl-icd

 -- Graham Inggs <ginggs@debian.org>  Fri, 30 Jun 2017 14:01:22 +0200

phyml (3:3.3.20170530+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Upstream confirmed that beagle is not supported
  * Standards-Version: 4.0.0 (no changes needed)
  * Do not disable PIE
    Closes: #865654
  * Do not build phytime since it is not supported any more

 -- Andreas Tille <tille@debian.org>  Tue, 27 Jun 2017 15:06:53 +0200

phyml (3:3.2.0+dfsg-7) unstable; urgency=medium

  * Fix bug in wrapper script which really
    Closes: #853738

 -- Andreas Tille <tille@debian.org>  Wed, 01 Feb 2017 09:36:51 +0100

phyml (3:3.2.0+dfsg-6) unstable; urgency=medium

  * Also provide version without beagle library since it causes trouble
    on machines without according graphics hardware
    Closes: #853737
  * Provide link /usr/bin/phyml-beagle
  * Enable to switch of MPI version via environment variable since there
    are circumstances when it leads to wrong results
    Closes: #853738
  * Test single processor and MPI in autopkgtest

 -- Andreas Tille <tille@debian.org>  Tue, 31 Jan 2017 15:16:45 +0100

phyml (3:3.2.0+dfsg-5) unstable; urgency=medium

  * Fix wrapper to correctly use mpirun
    Closes: #853211

 -- Andreas Tille <tille@debian.org>  Mon, 30 Jan 2017 17:34:56 +0100

phyml (3:3.2.0+dfsg-4) unstable; urgency=medium

  * Add pocl-opencl-icd to autopkgtest dependencies to emulate CPU-based ICD
  * debhelper 10
  * d/watch: version=4
  * Use chrpath to remove RPATH from binary
  * Use "OMPI_MCA_plm_rsh_agent=/bin/false" in test (see #494046)

 -- Andreas Tille <tille@debian.org>  Mon, 16 Jan 2017 10:22:34 +0100

phyml (3:3.2.0+dfsg-3) unstable; urgency=medium

  * Team upload

  [ Canberk Koç ]
  * autopkgtest added
  * fix autopkgtest

  [ Andreas Tille ]
  * Add missing Depends: openmpi-bin
  * use wrapper to select MPI version if applicable
  * Use compression options in d/watch
  * Fix missing declaration
  * hardening=+all,-pie

 -- Canberk Koç	 <canberkkoc@gmail.com>  Wed, 12 Oct 2016 23:51:39 +0300

phyml (3:3.2.0+dfsg-2) unstable; urgency=medium

  [ Kevin Murray ]
  * Fix VCS link in d/control
  * Patch for reproduible build (configure.ac date)
  * Bump standards version to 3.9.7

  [ Andreas Tille ]
  * Enable MPI version of phyml

 -- Andreas Tille <tille@debian.org>  Mon, 14 Mar 2016 12:52:14 +0100

phyml (3:3.2.0+dfsg-1) unstable; urgency=medium

  [ Kevin Murray ]
  * New upstream release
  * d/watch: Source has changed location on Github
  * Patch CPPFLAGS to allow build of phytime

  [ Andreas Tille ]
  * Upstream confirmed that the development version should be fairly stable
    and most probably suitable for Debian
  * Moved debian/upstream to debian/upstream/metadata
  * cme fix dpkg-control
  * Remove executable binary from archive (as well as LaTeX remainings once
    we are starting to remove files)
  * Move to git
  * Build-Depends: pkg-config, libhmsbeagle-dev
  * debian/rules:
     - hack around removal of PDF manual
     - enable building with libhmsbeagle-dev
  * DEP5

 -- Kevin Murray <spam@kdmurray.id.au>  Sat, 06 Feb 2016 16:06:43 +0100

phyml (2:20120412-2) unstable; urgency=low

  * debian/patches/sse_only_if_supported.patch: Check architecture before
    deciding to build using -msse
    Closes: #718747

 -- Andreas Tille <tille@debian.org>  Mon, 05 Aug 2013 09:56:27 +0200

phyml (2:20120412-1) unstable; urgency=low

  [ Charles Plessy ]
  * New upstream version.
  * Updated watch file to track stable versions only.
  * debian/rules, debian/docs, the manual is now phyml-manual.pdf.

  [ Andreas Tille ]
  * debian/control:
     - cme fix dpkg-control
     - debhelper 9
     - use anonscm in Vcs fields
  * debian/rules:
     - Use dh more consequently to work around two different configure steps
     - Propagate hardening options
  * debian/upstream: Additional (newer) publication
  * debian/phytime.1: Add manpage for phytime based on some html2man output
    and the abstract of the according publication
  * debian/README.Debian: Hint to possible phyml-mpi

 -- Charles Plessy <plessy@debian.org>  Mon, 15 Jul 2013 09:55:11 +0900

phyml (2:20110919-1) unstable; urgency=low

  * New upstream version.
  * Kept manual's old name with no date (debian/docs, debian/rules).
  * Do not compress PDFs (debian/rules).

 -- Charles Plessy <plessy@debian.org>  Mon, 05 Dec 2011 13:19:40 +0900

phyml (2:20110526-1) unstable; urgency=low

  * New upstream version.
  * debian/control:
    - Corrected VCS URLs.
    - Using debhelper 8 (debian/compat).
    - Enhances bioperl-run (that has a PhyML wrapper).
    - Standards-Version incremented to reflect compliance with Policy 3.9.2.
  * Added build-arch and build-indep targets to debian/rules.
  * Build and distribute PhyTime (debian/rules, debian/control).

 -- Charles Plessy <plessy@debian.org>  Sun, 26 Jun 2011 12:14:54 +0900

phyml (2:20100720-1) unstable; urgency=low

  * New upstream version
  * Fixed watch file
  * Standard-Version: 3.9.1 (no changes needed)
  * Source format 3.0 (quilt)
  * Wrote man page

 -- Andreas Tille <tille@debian.org>  Mon, 14 Feb 2011 15:04:52 +0100

phyml (2:20100123-1) unstable; urgency=low

  * New upstream release.

  [ Nelson A. de Oliveira ]
  * Fix watch file.
  * Increment the epoch number to fix a typo in the version number.

  [ Charles Plessy ]
  * Checked conformance with Policy 3.8.4 and incremented Standards-Version
    in debian/control to reflect this (no changes needed).
  * Moved the bibliographic reference from debian/reference to
    debian/upstream-metadata.yaml.
  * Adapted debian/rules to the new location of the auto(conf|make) files.

 -- Charles Plessy <plessy@debian.org>  Sun, 07 Mar 2010 19:55:08 +0900

phyml (1:200900706-2) unstable; urgency=low

  * Disable parallel building, that was incorrectly supported and
    induced build failures by race condition (Closes: #536967).

 -- Charles Plessy <plessy@debian.org>  Wed, 15 Jul 2009 09:35:40 +0900

phyml (1:200900706-1) unstable; urgency=low

  * New upstream release.
  * Suppressed unneeded Lintian overrides, and use ‘dh clean’ in debian/rules.
  * Checked conformance with Policy 3.8.2 and incremented Standards-Version
    in debian/control to reflect this (no changes needed).
  * Experimentation on the format of debian/copyright.

 -- Charles Plessy <plessy@debian.org>  Sat, 11 Jul 2009 14:25:23 +0900

phyml (1:20090501-1) unstable; urgency=low

  * New upstream release clarifying the license of the documentation and
    switching to a versionning system that can be sorted by numerical order.
  * Added debian/source.lintian-overrides to indicate that the
    configure-generated files are deleted at cleaning time.
  * Using ‘dh binary-arch’ to simplify debian/rules.

 -- Charles Plessy <plessy@debian.org>  Sat, 16 May 2009 14:55:14 +0900

phyml (30042009-1) unstable; urgency=low

  * Initial release (Closes: #517165)

 -- Charles Plessy <plessy@debian.org>  Fri, 01 May 2009 08:53:44 +0900
